%global fontname apanov-edrip
%global fontconf 61-%{fontname}.conf

%global archivename edrip-src-%{version}

Name:    %{fontname}-fonts
Version: 20081007
Release: 10%{?dist}
Summary: A decorative contrast sans-serif font

Group:     User Interface/X
License:   OFL
URL:       ftp://ftp.dvo.ru/pub/Font/edrip/
Source0:   %{url}%{archivename}.tar.bz2
Source1:   %{name}-fontconfig.conf
Patch0:    %{name}-license.patch
Patch1:    %{name}-bolditalic.patch
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildArch:     noarch
BuildRequires: fontpackages-devel
BuildRequires: xgridfit
BuildRequires: fontforge
Requires:      fontpackages-filesystem
Obsoletes:     edrip-fonts < 20081007-3

%description
Edrip font is a contrast sans-serif font. It is based on the Teams font
released on 2000 by TopTeam Co. Edrip contains symbols for basic Cyrillic and
Latin alphabets.


%prep
%setup -q -c
%patch0 -p1
%patch1 -p1

%build
make %{?_smp_mflags} all


%install
rm -fr %{buildroot}

install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}


%clean
rm -fr %{buildroot}


%_font_pkg -f %{fontconf} *.ttf

%doc *.txt README

%changelog
* Mon Sep 25 2009 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20081007-10
— fix BoldItalic naming

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- 20081007-9
— Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Mar 15 2009 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20081007-8
— Make sure F11 font packages have been built with F11 fontforge

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- 20081007-7
— Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb 22 2009 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20081007-6
— fix url (thanks nirik)

* Mon Feb 16 2009 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20081007-5
— prepare for F11 mass rebuild, new rpm and new fontpackages

* Sun Feb  8 2009 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20081007-4
– test new rpm font autoprovides

* Sun Jan 25 2009 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20081007-3
► renamed to “apanov-edrip-fonts” to apply Packaging:FontsPolicy#Naming

* Sun Nov 23 2008 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20081007-2
ᛤ ‘rpm-fonts’ renamed to “fontpackages”

* Fri Nov 14 2008 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20081007-1
▤ Rebuild using new « rpm-fonts »

* Wed Sep 3 2008 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20080826-2
⚙ Rebuild with pre-F10-freeze fontforge

* Mon Sep 1 2008 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20080826-1
ԡ Still more extended cyrillic coverage

* Fri Jul 17 2008 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20080717-1
𐅇 More cyrillic coverage

* Fri Jul 11 2008 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20080710-1
⌖ Fedora 10 alpha general package cleanup

* Wed Jun 4 2008 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20080523-2
⌂ Fix URL
⎈ Register in new fantasy generic

* Mon May 26 2008 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20080523-1
ϡ Add bold italic typeface to the font package
Ք Use new upstream makefile magic to simplify spec

* Sun May 18 2008 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20080515-2
⦬ Add bold & italic typeface to the font package

* Fri Apr 4 2008 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20080330-1
⤊ Fast upstream changes

* Tue Mar 27 2008 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20080317-3
✓ Fix source URL
✓ Add more fontconfig magic

* Wed Mar 26 2008 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20080317-1
✓ Fedora import

* Thu Mar 13 2008 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20080310-1
✓ Initial packaging
